Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charvax.swing.event
Class TreeSelectionEvent

    java.lang.Object
      java.util.EventObject
          charvax.swing.event.TreeSelectionEvent

All Implemented Interfaces:
  java.io.Serializable

public class TreeSelectionEvent
extends java.util.EventObject

An event that characterizes a change in the current selection. TreeSelectionListeners will generally query the source of the event directly to find out the status of each potentially changed path.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TreeSelectionEvent(java.lang.Object source_, TreePath path_, boolean isNew_, TreePath oldLeadSelectionPath_, TreePath newLeadSelectionPath_)` Represents a change in the selection of a TreeSelectionModel.

Method Summary
`TreePath` | `getPath()` Returns the path that has been added to or removed from the selection.
`boolean` | `isAddedPath()` Returns true if the path element has been added to the selection.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeSelectionEvent

    public TreeSelectionEvent(java.lang.Object source_,
                              TreePath path_,
                              boolean isNew_,
                              TreePath oldLeadSelectionPath_,
                              TreePath newLeadSelectionPath_)

  Represents a change in the selection of a TreeSelectionModel.

Parameters:
  `source_` - the object that initiated this event (usually a DefaultTreeSelectionModel).
  `path_` - - the path that has changed in the selection.
  `isNew_` - - whether or not the path is new to the selection; false means path was removed from the selection.
  `oldLeadSelectionPath_` - - not used.
  `newLeadSelectionPath_` - - not used.

Method Detail

### getPath

    public TreePath getPath()

  Returns the path that has been added to or removed from the selection.

### isAddedPath

    public boolean isAddedPath()

  Returns true if the path element has been added to the selection. A return value of false means the path has been removed from the selection.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD